JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CodeEditorComponent::State Struct Reference
juce_gui_extra » code_editor

Can be used to save and restore the editor's caret position, selection state, etc. More...

`#include <juce_CodeEditorComponent.h>`

## Public Member Functions
| State (const CodeEditorComponent &)
| Creates an object containing the state of the given editor.
| State (const String &stringifiedVersion)
| Creates a state object from a string that was previously created with toString().
| State (const State &) noexcept
void | restoreState (CodeEditorComponent &) const
| Updates the given editor with this saved state.
String | toString () const
| Returns a stringified version of this state that can be used to recreate it later.

## Detailed Description

Can be used to save and restore the editor's caret position, selection state, etc.

## Constructor & Destructor Documentation

## ◆ State() [1/3]

CodeEditorComponent::State::State | ( | const CodeEditorComponent & |  | ) |

Creates an object containing the state of the given editor.

## ◆ State() [2/3]

CodeEditorComponent::State::State | ( | const String & | stringifiedVersion | ) |

Creates a state object from a string that was previously created with toString().

## ◆ State() [3/3]

CodeEditorComponent::State::State | ( | const State & |  | ) |
| noexcept

## Member Function Documentation

## ◆ restoreState()

void CodeEditorComponent::State::restoreState | ( | CodeEditorComponent & |  | ) | const

Updates the given editor with this saved state.

## ◆ toString()

String CodeEditorComponent::State::toString | ( |  | ) | const

Returns a stringified version of this state that can be used to recreate it later.

The documentation for this struct was generated from the following file:

- juce_CodeEditorComponent.h